## gnome-calendar 3.28.1

=== meson_options.txt ===
option('tracing', type: 'boolean', value: false, description: 'add extra debugging information')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

## gnome-calendar 3.16.2

=== debian/changelog ===
gnome-calendar (3.16.2-0ubuntu4) wily; urgency=medium

  * Build-depend on gnome-common to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 15 Aug 2015 20:24:34 -0400

gnome-calendar (3.16.2-0ubuntu3) wily; urgency=medium

  * debian/copyright:
    - Note GPL-2.0+ sources

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Jul 2015 13:08:08 +1200

gnome-calendar (3.16.2-0ubuntu2) wily; urgency=medium

  * debian/copyright:
    - Note LGPL-2.1+ sources

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 23 Jun 2015 10:16:10 +1200

gnome-calendar (3.16.2-0ubuntu1) wily; urgency=low

  * Initial release.

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 30 May 2015 20:20:16 +1200

=== debian/control ===
Source: gnome-calendar
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Homepage: https://wiki.gnome.org/Apps/Calendar
Standards-Version: 3.9.6
Build-Depends: autoconf (>= 2.69),
               debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               intltool (>= 0.40.6),
               libecal1.2-dev (>= 3.13.90),
               libedataserver1.2-dev (>= 3.13.90),
               libedataserverui1.2-dev (>= 3.13.90),
               libglib2.0-dev (>= 2.43.6),
               libgtk-3-dev (>= 3.15.4),
               libical-dev (>= 1.0.1),
               libtool (>= 2.2.6),
               pkg-config (>= 0.22)

Package: gnome-calendar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple and beautiful calendar application designed to fit GNOME desktop
 GNOME Calendar is a simple and beautiful calendar application designed to
 perfectly fit the GNOME desktop.
 By reusing the components which the GNOME desktop is build on, Calendar nicely
 integrates with the GNOME ecosystem.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-calendar/([\d\.]+[02468])/ \
	gnome-calendar-(.*)\.tar\.xz

## gnome-calendar 3.18.1

=== debian/changelog ===
gnome-calendar (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Oct 2015 22:14:28 +0200

gnome-calendar (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump evolution-data-server to >= 3.17.1
    - add goa >= 3.2.0
    - (already done: bump libical to >= 1.0)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 11 Oct 2015 12:05:06 +0200

gnome-calendar (3.16.2-1) unstable; urgency=low

  * Initial release

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 19 Aug 2015 19:36:17 +0200

## gnome-calendar 3.18.2

=== debian/changelog ===
gnome-calendar (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Dec 2015 10:49:55 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-calendar
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               gnome-pkg-tools,
               intltool (>= 0.40.6),
               libecal1.2-dev (>= 3.17.1),
               libedataserver1.2-dev (>= 3.17.1),
               libedataserverui1.2-dev (>= 3.17.1),
               libglib2.0-dev (>= 2.43.4),
               libgoa-1.0-dev (>= 3.2.0),
               libgtk-3-dev (>= 3.15.4),
               libical-dev (>= 1.0.1),
               pkg-config (>= 0.22)
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-calendar
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-calendar
Homepage: https://wiki.gnome.org/Apps/Calendar

Package: gnome-calendar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Calendar application for GNOME
 GNOME Calendar is a simple and beautiful calendar application designed
 to perfectly fit the GNOME desktop. By reusing the components which the
 GNOME desktop is build on, Calendar nicely integrates with the GNOME
 ecosystem.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

## gnome-calendar 3.20.1

=== debian/changelog ===
gnome-calendar (3.20.1-1ubuntu1) xenial; urgency=low

  * Merge with Debian unstable. Remaning changes:
    - d/p/0002-Spawn-Ubuntu-s-credentials-panel-instead-of-the-GOA-.patch:
      Catch some more errors.
    - d/p/use_gtk_318.patch: Revert upstream changes which required a newer
      GTK+3.0 than we have in Ubuntu.
  * Run dh-autoreconf because upstream caught up and bumped the required gtk
    version in configure.ac and now we have to patch it lower.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 18 Apr 2016 10:41:33 +0100

gnome-calendar (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 18:17:07 +0200

gnome-calendar (3.20.0-0ubuntu2) xenial; urgency=medium

  * debian/patches/git_reopen_dialog.patch:
    - Don't destroy GcalSourceDialog on close so the source dialog can be 
      reopened without having to restart

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Apr 2016 11:50:33 -0600

gnome-calendar (3.20.0-0ubuntu1) xenial; urgency=medium

  * New upstream stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Apr 2016 11:49:45 +0200

gnome-calendar (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Update unity patches to apply again:
    - 0001-Hide-GOA-sources-on-Unity.patch
    - 0002-Spawn-Ubuntu-s-credentials-panel-instead-of-the-GOA-.patch
  * Bump gtk+ build-dependency to 3.19.12~
    - uses new API, e.g. gtk_widget_class_set_css_name
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Mar 2016 11:32:42 +0100

gnome-calendar (3.19.92-0ubuntu3) xenial; urgency=medium

  * debian/patches/enable-translations.patch:
    - Enable translation support (LP: #1563553).
      A similar fix has been landed in upstream master, so with the
      next upstream release, this patch can be dropped.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 30 Mar 2016 03:06:00 +0200

gnome-calendar (3.19.92-0ubuntu2) xenial; urgency=medium

  * debian/patches/gnome-shell-schemas.patch:
    - don't try to read a gnome-shell schemas config (lp: 1558748),
      that's a workaround to fix the program not start because the schemas
      it uses it not installed by default until somebody does the proper
      changes to handle the schemas not being there.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 18 Mar 2016 19:29:40 +0100

gnome-calendar (3.19.92-0ubuntu1) xenial; urgency=medium

  * New upstream version
  * debian/patches/git_edge_rendering.patch,
    debian/patches/git_dtstart_segfault.patch,
    debian/patches/git_focus_today.patch,
    debian/patches/git_day_segfault.patch,
    debian/patches/git_keyboard_nav.patch:
    - included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Mar 2016 16:45:41 +0100

gnome-calendar (3.19.91-0ubuntu3) xenial; urgency=medium

  * debian/patches/git_edge_rendering.patch:
    - don't draw over the edge
  * debian/patches/git_dtstart_segfault.patch
    - "don't load events with no dtstart", they are invalids and that 
      leads to segfaults
  * debian/patches/git_focus_today.patch:
    - "initial selection on current day"

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 09 Mar 2016 17:43:20 +0100

gnome-calendar (3.19.91-0ubuntu2) xenial; urgency=medium

  * debian/patches/git_day_segfault.patch:
    - backport a fix for a segfault with some events
  * debian/patches/git_keyboard_nav.patch:
    - correctly set the initial focus
  * debian/patches/use_gtk_318.patch:
    - updated to fix a cpu usage issue in year view

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Mar 2016 17:46:09 +0100

gnome-calendar (3.19.91-0ubuntu1) xenial; urgency=medium

  * New upstream version
  * debian/patches/use_gtk_318.patch:
    - updated, remove keys overlay as well since that's a 3.19 widget

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Mar 2016 17:45:00 +0100

gnome-calendar (3.19.90-0ubuntu2) xenial; urgency=medium

  * d/p/0002-Spawn-Ubuntu-s-credentials-panel-instead-of-the-GOA-.patch:
    - under unity use unity-control-center and not gnome-control-center

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Mar 2016 19:17:10 +0100

gnome-calendar (3.19.90-0ubuntu1) xenial; urgency=medium

  * New upstream version (ffe lp: #1551877)
    - dynamically change colors (lp: #1551766) or names (lp: #1551763)
  * debian/patches/use_gtk_318.patch:
    - revert gtk 3.19 css specific changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 01 Mar 2016 18:23:47 +0100

gnome-calendar (3.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Mar 2016 11:26:01 +0100

gnome-calendar (3.18.2.1-2) unstable; urgency=medium

  * Add a Recommends on evolution-data-server (or -online-accounts for the
    benefit of Ubuntu) so that we have credential modules available.
  * d/p/0001-Hide-GOA-sources-on-Unity.patch,
    d/p/0002-Spawn-Ubuntu-s-credentials-panel-instead-of-the-GOA-.patch: Take
    some patches from upstream bug #761259 to resolve some integration issues
    in Unity. (LP: #1525861)

 -- Iain Lane <laney@debian.org>  Fri, 12 Feb 2016 16:19:55 +0000

gnome-calendar (3.18.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Jan 2016 20:50:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,12 @@
 Source: gnome-calendar
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               gnome-common,
                gnome-pkg-tools,
                intltool (>= 0.40.6),
                libecal1.2-dev (>= 3.17.1),
@@ -18,7 +21,7 @@
                libgtk-3-dev (>= 3.15.4),
                libical-dev (>= 1.0.1),
                pkg-config (>= 0.22)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-calendar
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-calendar
 Homepage: https://wiki.gnome.org/Apps/Calendar
@@ -26,6 +29,7 @@
 Package: gnome-calendar
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: evolution-data-server-online-accounts | evolution-data-server
 Description: Calendar application for GNOME
  GNOME Calendar is a simple and beautiful calendar application designed
  to perfectly fit the GNOME desktop. By reusing the components which the

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-calendar/([0-9.]+[02468])/gnome-calendar-([0-9.]+)\.tar\.xz

## gnome-calendar 3.20.4

=== debian/changelog ===
gnome-calendar (3.20.4-0ubuntu0.1) xenial; urgency=medium

  [ Jeremy Bicha ]
  * New upstream bugfix release (LP: #1621539)
    - Fixes multiple issues with scheduling PM events
    - Include the final day in all-day multi-day events

  [ Iain Lane ]
  * debian/patches/0001-Hide-GOA-sources-on-Unity.patch:
    correctly en/disable GNOME Online Accounts based on XDG_CURRENT_DESKTOP

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Sep 2016 11:56:41 -0400

gnome-calendar (3.20.2-0ubuntu0.1) xenial; urgency=medium

  * New upstream version
    - Use the theme's CSS instead of our custom one (lp: #1565267)
  * debian/patches/use_gtk_318.patch:
    - refreshed for the new version
  * debian/patches/dont_require_schemas.patch:
    - restore upstream commit which was reverted to not depends
      on a schemas that doesn't exist under Unity

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 May 2016 09:18:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-common,

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with autoreconf,gnome

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

## gnome-calendar 3.22.4

=== debian/changelog ===
gnome-calendar (3.22.4-2) unstable; urgency=medium

  [ Jason Crain ]
  * Add debian/patches/0003-set-edit-dialogs-event-to-NULL-after-saving.patch:
    fix crash when creating a new event. (Closes: #858924)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 May 2017 10:15:57 +0200

gnome-calendar (3.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 29 Mar 2017 23:00:23 +0200

gnome-calendar (3.22.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/watch: Only watch for stable versions

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Feb 2017 20:38:20 +0100

gnome-calendar (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Dec 2016 03:06:02 +0100

gnome-calendar (3.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/0001-Hide-GOA-sources-on-Unity.patch.

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Oct 2016 01:05:56 +0200

gnome-calendar (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 21:41:22 +0200

gnome-calendar (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Drop debian/patches/0003-month-view-initialize-variable.patch, merged
    upstream.
  * Bump Build-Depends on libgtk-3-dev to (>= 3.21.6) as per configure.ac.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Sep 2016 00:35:02 +0200

gnome-calendar (3.21.91-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/control.in:
    - Replace build-dependency on gnome-common with autoconf-archive

  [ Michael Biebl ]
  * Initialize timespan variable. This avoids build failures with gcc which is
    over-pessimistic and aborts the build due to -Werror=maybe-uninitialized.
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 13:04:42 +0200

gnome-calendar (3.21.91-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/control.in:
    - Update Vcs fields
    - Depend on gnome-common (needed for autoreconf currently)
  * Add debian/docs: Install NEWS
  * 0002-Spawn-Ubuntu-s-credentials-panel-instead-of-the-GOA-.patch:
    - Use latest version from Ubuntu packaging

  [ Iain Lane ]
  * New upstream release 3.21.91
  * debian/control{,.in}:
    + Bump BDs for 3.21.91
    + Add BD on appstream-util, for APPSTREAM_XML m4 function
    + Add a versioned dependency on the required gsettings-desktop-schemas
  * debian/patches/000*: Refresh
  * debian/watch: Track unstable versions

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 02:24:19 +0200

gnome-calendar (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 May 2016 18:43:28 +0200

gnome-calendar (3.20.1-2) unstable; urgency=medium

  * debian/patches/0001-Hide-GOA-sources-on-Unity.patch: Fix Unity detection
    for starting GOA.

 -- Iain Lane <laney@debian.org>  Wed, 11 May 2016 13:19:06 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-calendar
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               autoconf-archive,
               debhelper (>= 10),
               gnome-pkg-tools,
               gsettings-desktop-schemas-dev (>= 3.21.2),
               intltool (>= 0.40.6),
               libecal1.2-dev (>= 3.17.1),
               libedataserver1.2-dev (>= 3.17.1),
               libedataserverui1.2-dev (>= 3.17.1),
               libglib2.0-dev (>= 2.43.4),
               libgoa-1.0-dev (>= 3.2.0),
               libgtk-3-dev (>= 3.21.6),
               libical-dev (>= 1.0.1),
               pkg-config (>= 0.22)
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-calendar
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-calendar
Homepage: https://wiki.gnome.org/Apps/Calendar

Package: gnome-calendar
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gsettings-desktop-schemas (>= 3.21.2)
Recommends: evolution-data-server-online-accounts | evolution-data-server
Description: Calendar application for GNOME
 GNOME Calendar is a simple and beautiful calendar application designed
 to perfectly fit the GNOME desktop. By reusing the components which the
 GNOME desktop is build on, Calendar nicely integrates with the GNOME
 ecosystem.

## gnome-calendar 3.24.0

=== debian/changelog ===
gnome-calendar (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 19:49:10 -0400

gnome-calendar (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Drop git_fix-first-weekday.patch, applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Mar 2017 21:31:09 -0400

gnome-calendar (3.23.91.1-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Add git_fix-first-weekday.patch:
    - Fix week view showing wrong day names in locales where
      first day of the week is not Sunday

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2017 08:44:45 -0500

gnome-calendar (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release.
    - Add Week view

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2017 16:36:41 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-calendar
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                autoconf-archive,
                debhelper (>= 10),

## gnome-calendar 3.24.2

=== debian/changelog ===
gnome-calendar (3.24.2-0ubuntu0.1) zesty; urgency=medium

  * New upstream release (LP: #1689678)
    - Fix crash in active-date logic (LP: #1688414)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 May 2017 14:48:21 -0400

gnome-calendar (3.24.1-0ubuntu0.1) zesty; urgency=medium

  * New upstream release (LP: #1685803)
    - Fix multiple crash bugs (LP: #1683840, LP: #1684778)
  * Add revert-remove-search-menu-item.patch:
    - Don't make change that would break UI Freeze

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 24 Apr 2017 18:39:25 -0400

## gnome-calendar 3.26.2

=== debian/changelog ===
gnome-calendar (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 04 Oct 2017 20:16:39 -0400

gnome-calendar (3.26.1-1) unstable; urgency=high

  * New upstream release
    - Fix UI only in English. Set urgency=high.

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 04 Oct 2017 15:58:43 -0400

gnome-calendar (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules:
    - Don't fail build for new failing test which requires installed
      gsettings schemas
    - Add workaround for Ubuntu translations issue

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Sep 2017 11:22:48 -0400

gnome-calendar (3.25.90-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Bump Standards-Version to 4.0.1
  * debian/control.in:
    - Drop alternate recommends on evolution-data-server-online-accounts
      (package was only in Ubuntu and is now obsolete)
    - Build-depend on libsoup2.4-dev
  * Drop all patches. They have either been applied in the new
    upstream release or were for Ubuntu Online Accounts integration
    which is no longer supported in Ubuntu.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Aug 2017 19:43:47 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-calendar
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               debhelper (>= 10.3),
               gnome-pkg-tools,
               gsettings-desktop-schemas-dev (>= 3.21.2),
               libecal1.2-dev (>= 3.17.1),
               libedataserver1.2-dev (>= 3.17.1),
               libedataserverui1.2-dev (>= 3.17.1),
               libglib2.0-dev (>= 2.43.4),
               libgoa-1.0-dev (>= 3.2.0),
               libgtk-3-dev (>= 3.21.6),
               libical-dev (>= 1.0.1),
               libsoup2.4-dev,
               meson (>= 0.41.0),
               pkg-config (>= 0.22)
Standards-Version: 4.1.1
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-calendar
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-calendar
Homepage: https://wiki.gnome.org/Apps/Calendar

Package: gnome-calendar
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gsettings-desktop-schemas (>= 3.21.2)
Recommends: evolution-data-server
Description: Calendar application for GNOME
 GNOME Calendar is a simple and beautiful calendar application designed
 to perfectly fit the GNOME desktop. By reusing the components which the
 GNOME desktop is build on, Calendar nicely integrates with the GNOME
 ecosystem.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gnome --buildsystem=meson

# Needed by Ubuntu
override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-calendar-pot
	dh_translations

override_dh_auto_test:
	-dh_auto_test

## gnome-calendar 3.28.1

=== debian/changelog ===
gnome-calendar (3.28.1-1ubuntu2) bionic; urgency=medium

  * debian/patches/0001-auto-disconnect-weather-changed-signal-handler.patch:
    fix crash when closing gnome-calendar (LP: #1757058).

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Mon, 16 Apr 2018 17:30:41 +0200

gnome-calendar (3.28.1-1ubuntu1) bionic; urgency=medium

  * Restore dh_translations override while waiting for bug 1762889

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Apr 2018 14:04:28 -0400

gnome-calendar (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4
  * debian/rules: drop obsolete dh_translations workaround

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 10 Apr 2018 19:29:56 -0400

gnome-calendar (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: drop buildsystem=meson, autotools has been removed

 -- Tim Lunn <tim@feathertop.org>  Sat, 17 Mar 2018 12:08:44 +1100

gnome-calendar (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Add new Build-Depends: libdazzle-1.0-dev, libgeoclue-2-dev
    libgeocode-glib-dev, libgweather-3-dev

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Feb 2018 22:12:12 -0500

gnome-calendar (3.26.3-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Drop libical3.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 15:09:40 -0500

gnome-calendar (3.26.2-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 13:27:31 -0500

gnome-calendar (3.26.2-2) unstable; urgency=medium

  * Cherry-pick libical3.patch to fix build with libical 3 (Closes: #883936)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 09 Dec 2017 14:45:14 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_test:
	-dh_auto_test

# Needed by Ubuntu
override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-calendar-pot
	dh_translations

override_dh_auto_clean:
	dh_auto_clean
	rm -f po/gnome-calendar.pot

## gnome-calendar 3.28.2

=== debian/changelog ===
gnome-calendar (3.28.2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream version (lp: #1768555)
  * Remove the patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 May 2018 13:29:11 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-calendar
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: appstream-util,
               debhelper (>= 11),
               gnome-pkg-tools,
               gsettings-desktop-schemas-dev (>= 3.21.2),
               libdazzle-1.0-dev (>= 3.26.1),
               libecal1.2-dev (>= 3.17.1),
               libedataserver1.2-dev (>= 3.17.1),
               libedataserverui1.2-dev (>= 3.17.1),
               libgeoclue-2-dev (>= 2.4),
               libgeocode-glib-dev (>= 3.23),
               libglib2.0-dev (>= 2.43.4),
               libgoa-1.0-dev (>= 3.2.0),
               libgtk-3-dev (>= 3.22.20),
               libgweather-3-dev (>= 3.27.2),
               libical-dev (>= 1.0.1),
               libsoup2.4-dev,
               meson (>= 0.41.0),
               pkg-config (>= 0.22)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calendar
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calendar.git
Homepage: https://wiki.gnome.org/Apps/Calendar

Package: gnome-calendar
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gsettings-desktop-schemas (>= 3.21.2)
Recommends: evolution-data-server
Description: Calendar application for GNOME
 GNOME Calendar is a simple and beautiful calendar application designed
 to perfectly fit the GNOME desktop. By reusing the components which the
 GNOME desktop is build on, Calendar nicely integrates with the GNOME
 ecosystem.

## gnome-calendar 3.28.2-0ubuntu0.18.04.1mint1+tessa

=== debian/changelog ===
gnome-calendar (3.28.2-0ubuntu0.18.04.1mint1+tessa) tessa; urgency=medium

  * Add support for Cinnamon
  * Fix: Set window icon name

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Nov 2018 18:11:56 +0000

## gnome-calendar 3.30.0

=== debian/changelog ===
gnome-calendar (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 04 Sep 2018 10:43:26 +0200

gnome-calendar (3.29.92-1) unstable; urgency=medium

  * New upstream release
  * Don't ignore failing tests

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Aug 2018 21:32:19 -0400

gnome-calendar (3.28.2-1) unstable; urgency=medium

  * New upstream release (LP: #1768549)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 02 May 2018 20:16:58 -0400

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Source: gnome-calendar
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util,
                debhelper (>= 11),
+               evolution-data-server <!nocheck>,
                gnome-pkg-tools,
                gsettings-desktop-schemas-dev (>= 3.21.2),
                libdazzle-1.0-dev (>= 3.26.1),
@@ -25,7 +25,9 @@
                libical-dev (>= 1.0.1),
                libsoup2.4-dev,
                meson (>= 0.41.0),
-               pkg-config (>= 0.22)
+               pkg-config (>= 0.22),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calendar
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calendar.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_test:
	xvfb-run dh_auto_test

## gnome-calendar 3.30.1

=== debian/changelog ===
gnome-calendar (1:3.30.1-2.lnd.edu2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Tue, 15 Feb 2022 10:20:35 +0800

gnome-calendar (1:3.30.1-2.lnd.edu2) unstable; urgency=medium

  * Add epoch number

 -- Ling Yang <lingyang@loongson.cn>  Tue, 25 Jan 2021 19:43:12 +0800

gnome-calendar (3.30.1-2.lnd.edu2) unstable; urgency=medium

  * debian/patches:
    + 0001-modify-config-files-to-run-as-mate-panel-applet.patch
    + 0002-modify-build-files-to-run-as-mate-panel-applet.patch
    + 0003-make-gnome-calendar-run-as-mate-panel-applet.patch
    + 0004-add-new-layout-and-funtions-for-gnome-calendar.patch
    + 0005-modify-ui-files-for-the-new-layout.patch
    + 0007-modify-the-default-css-file-for-the-new-layout.patch
    + 0008-do-not-maximize-calendar-window-at-any-time.patch
    + 0009-support-hiding-lunar-date.patch
    + 0010-add-signal-processing-function.patch
    + 0011-run-the-applet-when-showing-toggle-button-on-panel.patch
    + 0012-add-style-for-month-and-year-selection-widget.patch
    + 0013-fix-the-case-when-boundary-value-reached.patch
    + 0014-fix-crash-when-boundary-values-are-not-satisfied.patch
    + 0015-fix-selected-year-is-larger-than-maximum.patch
    + 0016-add-css-style-for-today.patch
    + 0017-modify-the-color-of-date-label.patch
    + 0018-set-position-for-the-label-of-toggle-button.patch
    + 0019-modify-the-toggle-button-layout.patch
    + 0020-do-not-install-desktop-file.patch
    + 0021-support-for-narrow-panel.patch
    + 0022-modify-the-toggle-button-label.patch
    + 0023-set-toggle-button-label-style.patch
    + 0024-modify-for-large-font-size.patch
    + 0025-disable-weather-service.patch
    + 0026-fix-coordinate-calculation-and-movement-of-calender-window.patch

 -- Ling Yang <lingyang@loongson.cn>  Tue, 28 Dec 2021 18:02:18 +0800

gnome-calendar (3.30.1-2.lnd.edu1) unstable; urgency=medium

  * Initialized from upstream release

 -- Ling Yang <lingyang@loongson.cn>  Mon, 27 Dec 2021 18:43:45 +0800

gnome-calendar (3.30.1-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Add -Wl,-O1 to our LDFLAGS
  * Fix build when nocheck is set in DEB_BUILD_OPTIONS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 Jan 2019 09:18:16 -0500

gnome-calendar (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - require glib 2.58

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Nov 2018 11:15:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                evolution-data-server <!nocheck>,
                gnome-pkg-tools,
                gsettings-desktop-schemas-dev (>= 3.21.2),
@@ -18,17 +18,18 @@
                libedataserverui1.2-dev (>= 3.17.1),
                libgeoclue-2-dev (>= 2.4),
                libgeocode-glib-dev (>= 3.23),
-               libglib2.0-dev (>= 2.43.4),
+               libglib2.0-dev (>= 2.58),
                libgoa-1.0-dev (>= 3.2.0),
                libgtk-3-dev (>= 3.22.20),
                libgweather-3-dev (>= 3.27.2),
                libical-dev (>= 1.0.1),
+               libmate-panel-applet-dev(>= 1.20.5),
                libsoup2.4-dev,
                meson (>= 0.41.0),
                pkg-config (>= 0.22),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calendar
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calendar.git
 Homepage: https://wiki.gnome.org/Apps/Calendar

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	xvfb-run -a dh_auto_test
#endif

## gnome-calendar 3.30.1mint1%2Bdebbie

=== debian/changelog ===
gnome-calendar (3.30.1mint1+debbie) debdie; urgency=medium

  * Add support for Cinnamon
  * Fix: Set window icon name

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Jan 2020 15:02:50 +0000

## gnome-calendar 3.32.0

=== debian/changelog ===
gnome-calendar (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 20:24:29 -0400

gnome-calendar (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 20:11:46 -0500

gnome-calendar (3.30.1-3) experimental; urgency=medium

  * Cherry-pick 2 commits to fix build with evolution-data-server 3.32

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 17:41:18 -0500

## gnome-calendar 3.32.2

=== debian/changelog ===
gnome-calendar (3.32.2-1~ubuntu19.04.1) disco; urgency=medium

  * No-change backport from experimental / eoan to disco.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 10 May 2019 17:04:55 +0100

gnome-calendar (3.32.2-1) experimental; urgency=medium

  * New upstream release
    + Fix timezone handling of all day events (LP: #1826400)

 -- Iain Lane <laney@debian.org>  Fri, 10 May 2019 16:53:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util,
                debhelper-compat (= 12),
                evolution-data-server <!nocheck>,
@@ -23,7 +23,6 @@
                libgtk-3-dev (>= 3.22.20),
                libgweather-3-dev (>= 3.27.2),
                libical-dev (>= 1.0.1),
-               libmate-panel-applet-dev(>= 1.20.5),
                libsoup2.4-dev,
                meson (>= 0.41.0),
                pkg-config (>= 0.22),

## gnome-calendar 3.34.2

=== debian/changelog ===
gnome-calendar (3.34.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Oct 2019 11:00:03 +0200

gnome-calendar (3.34.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix various crashers (lp: #1725005)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Oct 2019 09:37:38 +0200

gnome-calendar (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 09:47:41 +0200

gnome-calendar (3.33.4-1) experimental; urgency=medium

  * New upstream release
    + Redesigned calendar management dialog
    + New, more reliable web discoverer code
  * debian/control: Update BDs per upstream

 -- Iain Lane <laney@debian.org>  Mon, 12 Aug 2019 12:19:12 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                evolution-data-server <!nocheck>,
                gnome-pkg-tools,
                gsettings-desktop-schemas-dev (>= 3.21.2),
-               libdazzle-1.0-dev (>= 3.26.1),
-               libecal1.2-dev (>= 3.17.1),
+               libdazzle-1.0-dev (>= 3.33.1),
+               libecal2.0-dev (>= 3.33.2),
                libedataserver1.2-dev (>= 3.17.1),
                libedataserverui1.2-dev (>= 3.17.1),
                libgeoclue-2-dev (>= 2.4),

## gnome-calendar 3.36.0

=== debian/changelog ===
gnome-calendar (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 21:08:06 +0100

gnome-calendar (3.35.92-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on libhandy-0.0-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2020 11:08:26 +0100

gnome-calendar (3.35.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2020 09:39:23 +0100

## gnome-calendar 3.36.1

=== debian/changelog ===
gnome-calendar (3.36.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes display of all-day events (Closes: #955267)
    - Fixes a major cause of crashes (Closes: #956202)
  * Drop all patches: they are included in the new upstream release
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Apr 2020 10:53:15 +0100

gnome-calendar (3.36.0-2) experimental; urgency=medium

  * Team upload
  * d/patches: Update from upstream gnome-3-36 branch, up to commit
    3.36.0-52-g2d8f986b

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Apr 2020 14:11:41 +0100

## gnome-calendar 3.36.2

=== debian/changelog ===
gnome-calendar (3.36.2-0ubuntu1) focal; urgency=medium

  * New stable update (lp: #1884803)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Jun 2020 15:20:50 +0200

## gnome-calendar 3.36.2-linuxmint1+ulyana

=== debian/changelog ===
gnome-calendar (3.36.2-linuxmint1+ulyana) ulyssa; urgency=medium

  * Add support for Cinnamon

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Dec 2020 11:44:41 +0000

## gnome-calendar 3.36.2-linuxmint3+una

=== debian/changelog ===
gnome-calendar (3.36.2-linuxmint3+una) una; urgency=medium

  [ Michael Webster ]
  * gcal-timeline.c: Fix crash when toggling a calendar off then on.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:39:44 +0000

gnome-calendar (3.36.2-linuxmint2) una; urgency=medium

  [ Michael Webster ]
  * application: Fix tm -> GDateTime year conversion
  * application: Fix tm -> GDateTime month conversion

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Dec 2021 10:57:21 +0000

gnome-calendar (3.36.2-linuxmint1) ulyssa; urgency=medium

  * Add support for Cinnamon

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Dec 2020 11:44:41 +0000

## gnome-calendar 3.38.1

=== debian/changelog ===
gnome-calendar (3.38.1-2) unstable; urgency=medium

  * debian/patches/gitlab_segfault_fix.patch:
    - cherrypick an upstream candidate patch for the current version
      often segfault on start or calendar changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Oct 2020 16:03:08 +0200

gnome-calendar (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 10:58:27 +0200

gnome-calendar (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 11:03:58 +0200

gnome-calendar (3.37.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Sep 2020 13:46:57 +0200

gnome-calendar (3.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Jun 2020 15:20:50 +0200

## gnome-calendar 3.38.2

=== debian/changelog ===
gnome-calendar (3.38.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/gitlab_segfault_fix.patch:
    - removed, fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Jan 2021 14:35:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                debhelper-compat (= 12),
                evolution-data-server <!nocheck>,
@@ -16,6 +16,7 @@
                libecal2.0-dev (>= 3.33.2),
                libedataserver1.2-dev (>= 3.17.1),
                libedataserverui1.2-dev (>= 3.17.1),
+               libhandy-0.0-dev (>= 0.0.9),
                libgeoclue-2-dev (>= 2.4),
                libgeocode-glib-dev (>= 3.23),
                libglib2.0-dev (>= 2.58),
@@ -28,7 +29,7 @@
                pkg-config (>= 0.22),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calendar
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calendar.git
 Homepage: https://wiki.gnome.org/Apps/Calendar

## gnome-calendar 3.38.2+mint1+elsie

=== debian/changelog ===
gnome-calendar (3.38.2+mint1+elsie) elsie; urgency=medium

  [ Clement Lefebvre ]
  * Add support for Cinnamon

  [ Michael Webster ]
  * application: Fix tm -> GDateTime year conversion
  * application: Fix tm -> GDateTime month conversion

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Jan 2022 15:34:05 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a dh_auto_test
endif

## gnome-calendar 41.0

=== debian/changelog ===
gnome-calendar (41.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/changelog: Close #993850 in changelog entry for 40.1-1

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Sep 2021 21:19:38 +0100

gnome-calendar (41~beta-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Aug 2021 11:37:01 +0200

gnome-calendar (40.2-1) experimental; urgency=medium

  * New upstream release:
    - Enable the met.no weather forecast provider
  * debian/patches: Drop, applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 04 Jun 2021 11:58:47 +0200

gnome-calendar (40.1-1) experimental; urgency=medium

  * New upstream release:
    - Depend on libhandy-1 (Closes: #993850)
    - Port to the newer libgweather api
    - Improve the event editor
    - Use HdyViewSwitcher in the main window
    - Fix the color of new calendars
    - Fix a memory leak in the timezone monitoring code
    - Fix a crash when fetching the system timezone
    - Fix keyboard shortcuts and add missing accelerator
    - Fix multiday detection of all day events
    - Updated translations
  * debian/control: Update build dependencies to match upstream
  * debian/{control, patches}: Build-depend on libgweather 40.
    This is required as per the usage of new API, and for different memory
    handling.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 May 2021 15:22:07 +0200

=== debian/control ===
--- 
+++ 
@@ -16,16 +16,16 @@
                libecal2.0-dev (>= 3.33.2),
                libedataserver1.2-dev (>= 3.17.1),
                libedataserverui1.2-dev (>= 3.17.1),
-               libhandy-0.0-dev (>= 0.0.9),
+               libhandy-1-dev (>= 1.0.0),
                libgeoclue-2-dev (>= 2.4),
                libgeocode-glib-dev (>= 3.23),
-               libglib2.0-dev (>= 2.58),
+               libglib2.0-dev (>= 2.67.5),
                libgoa-1.0-dev (>= 3.2.0),
                libgtk-3-dev (>= 3.22.20),
-               libgweather-3-dev (>= 3.27.2),
+               libgweather-3-dev (>= 40.0),
                libical-dev (>= 1.0.1),
                libsoup2.4-dev,
-               meson (>= 0.41.0),
+               meson (>= 0.53.0),
                pkg-config (>= 0.22),
                xauth <!nocheck>,
                xvfb <!nocheck>,
